Skip to content

WebAPI.Host (3.0)

Download OpenAPI description
Languages
Servers
Mock server

https://{{your_venus_webapi_ip_address}}/

Cameras

Operations

Devices

Operations

ErrorHandler

Operations

Files

Operations

Export method files to package.

Request

Security
Bearer
BodyArray [
methodPathstring
filePathstring
exportOriginalFilesboolean
]
curl -i -X POST \
  'https://{{your_venus_webapi_ip_address}}/api/vector/v3/files/export-methods' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json; x-api-version=3.0' \
  -d '[
    {
      "methodPath": "string",
      "filePath": "string",
      "exportOriginalFiles": true
    }
  ]'

Responses

Returns Hamilton.WebAPI.Common.CmdResult object, Saves export package file.

Body
resultbooleanread-only
messagestringread-only
resetRunExecboolean
Response
{ "result": true, "message": "string", "resetRunExec": true }

Export multiple method file collections to archive.

Request

Security
Bearer
Query
targetPathstring
descstring
Default ""
commentstring
Default ""
unzipPathstring
Default ""
BodyArray [
methodstring
commentstring
packageNamestring
exportLiquidClassDatabaseboolean
]
curl -i -X POST \
  'https://{{your_venus_webapi_ip_address}}/api/vector/v3/files/export-method-package?targetPath=string' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json; x-api-version=3.0' \
  -d '[
    {
      "method": "string",
      "comment": "string",
      "packageName": "string",
      "exportLiquidClassDatabase": true
    }
  ]'

Responses

Returns Hamilton.WebAPI.Common.CmdResult object, Saves export archive file.

Body
resultbooleanread-only
messagestringread-only
resetRunExecboolean
Response
{ "result": true, "message": "string", "resetRunExec": true }

Import a single method file collection from package.

Request

Security
Bearer
Body
filePathstring
pathRuleinteger(int32)(PathRuleType)

Possible values:

  • 0 - None
  • 32 - SkipFile
  • 33 - MethodPath
  • 34 - LibraryPath
  • 35 - LabwarePath
  • 36 - OtherPath
  • 37 - AbortProcedure
  • 38 - AskUser
Enum032333435363738
fileRuleinteger(int32)(FileRuleType)

Possible values:

  • 0 - None
  • 16 - ReplaceExisting
  • 17 - KeepExisting
  • 18 - AskUser
Enum0161718
instrumentRuleinteger(int32)(InstrumentRuleType)

Possible values:

  • 0 - None
  • 48 - ChooseBest
  • 49 - ChooseNone
  • 50 - AbortProcedure
  • 51 - AskUser
Enum048495051
importRuleinteger(int32)(ImportPathType)

Possible values:

  • 0 - None
  • 64 - DefaultPath
  • 65 - ExportedPath
  • 66 - MethodPath
  • 67 - LibraryPath
  • 68 - LabwarePath
  • 69 - OtherPath
Enum0646566676869
subDirectoryNamestring
methodPathstring
libraryPathstring
labwarePathstring
miscPathstring
importHamiltonFilesboolean
curl -i -X POST \
  'https://{{your_venus_webapi_ip_address}}/api/vector/v3/files/import-method' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json; x-api-version=3.0' \
  -d '{
    "filePath": "string",
    "pathRule": 0,
    "fileRule": 0,
    "instrumentRule": 0,
    "importRule": 0,
    "subDirectoryName": "string",
    "methodPath": "string",
    "libraryPath": "string",
    "labwarePath": "string",
    "miscPath": "string",
    "importHamiltonFiles": true
  }'

Responses

Returns Hamilton.WebAPI.Common.CmdResult object, Imports files per options.

Body
resultbooleanread-only
messagestringread-only
resetRunExecboolean
Response
{ "result": true, "message": "string", "resetRunExec": true }

InstrumentData

Operations

RunExecutor

Operations

System

Operations

Users

Operations